For the specified Azure region (location), get the details and status of the quota request by the quota request ID for the resources of the resource provider. The PUT request for the quota (service limit) returns a response with the requestId parameter.
GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Capacity/resourceProviders/{providerId}/locations/{location}/serviceLimitsRequests/{id}?api-version=2020-10-25
URI Parameters
| Name |
In |
Required |
Type |
Description |
|
id
|
path |
True
|
string
|
Quota Request ID.
|
|
location
|
path |
True
|
string
|
Azure region.
|
|
providerId
|
path |
True
|
string
|
Azure resource provider ID.
|
|
subscriptionId
|
path |
True
|
string
minLength: 1
|
The ID of the target subscription.
|
|
api-version
|
query |
True
|
string
minLength: 1
|
The API version to use for this operation.
|
Responses
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name |
Description |
|
user_impersonation
|
impersonate your user account
|
Examples
QuotaRequestFailed
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Capacity/resourceProviders/Microsoft.Compute/locations/eastus/serviceLimitsRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2020-10-25
from azure.identity import DefaultAzureCredential
from azure.mgmt.reservations import ReservationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-reservations
# USAGE
python get_quota_request_status_failed.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ReservationsMgmtClient(
credential=DefaultAzureCredential(),
)
response = client.quota_request_status.get(
subscription_id="00000000-0000-0000-0000-000000000000",
provider_id="Microsoft.Compute",
location="eastus",
id="2B5C8515-37D8-4B6A-879B-CD641A2CF605",
)
print(response)
# x-ms-original-file: 2020-10-25/getQuotaRequestStatusFailed.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armreservations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/reservations/armreservations/v4"
)
// Generated from example definition: 2020-10-25/getQuotaRequestStatusFailed.json
func ExampleQuotaRequestStatusClient_Get_quotaRequestFailed() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armreservations.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewQuotaRequestStatusClient().Get(ctx, "00000000-0000-0000-0000-000000000000", "Microsoft.Compute", "eastus", "2B5C8515-37D8-4B6A-879B-CD641A2CF605", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armreservations.QuotaRequestStatusClientGetResponse{
// QuotaRequestDetails: armreservations.QuotaRequestDetails{
// Name: to.Ptr("00000000-0000-0000-0000-000000000000/2B5C8515-37D8-4B6A-879B-CD641A2CF605"),
// Type: to.Ptr("Microsoft.Capacity/serviceLimitsRequests"),
// ID: to.Ptr("2B5C8515-37D8-4B6A-879B-CD641A2CF605"),
// Properties: &armreservations.QuotaRequestProperties{
// Message: to.Ptr("Request failed, please contatct support."),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateFailed),
// RequestSubmitTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2019-08-19T19:23:17.904Z"); return t}()),
// Value: []*armreservations.SubRequest{
// {
// Name: &armreservations.ResourceName{
// LocalizedValue: to.Ptr("Standard HCS Family vCPUs"),
// Value: to.Ptr("standardHCSFamily"),
// },
// Limit: to.Ptr[int32](200),
// Message: to.Ptr("Request completed"),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateSucceeded),
// SubRequestID: to.Ptr("AD07450A-DE86-4FD3-859B-107BEF218C4C"),
// },
// {
// Name: &armreservations.ResourceName{
// LocalizedValue: to.Ptr("Standard NC Promo Family vCPUs"),
// Value: to.Ptr("standardNCPromoFamily"),
// },
// Limit: to.Ptr[int32](50),
// Message: to.Ptr("RRequest failed, please contatct support."),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateFailed),
// SubRequestID: to.Ptr("AD07450A-DE86-4FD3-859B-107BEF218C4C"),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Sample response
{
"name": "00000000-0000-0000-0000-000000000000/2B5C8515-37D8-4B6A-879B-CD641A2CF605",
"type": "Microsoft.Capacity/serviceLimitsRequests",
"id": "2B5C8515-37D8-4B6A-879B-CD641A2CF605",
"properties": {
"message": "Request failed, please contatct support.",
"provisioningState": "Failed",
"requestSubmitTime": "2019-08-19T19:23:17.904Z",
"value": [
{
"name": {
"localizedValue": "Standard HCS Family vCPUs",
"value": "standardHCSFamily"
},
"limit": 200,
"message": "Request completed",
"provisioningState": "Succeeded",
"subRequestId": "AD07450A-DE86-4FD3-859B-107BEF218C4C"
},
{
"name": {
"localizedValue": "Standard NC Promo Family vCPUs",
"value": "standardNCPromoFamily"
},
"limit": 50,
"message": "RRequest failed, please contatct support.",
"provisioningState": "Failed",
"subRequestId": "AD07450A-DE86-4FD3-859B-107BEF218C4C"
}
]
}
}
QuotaRequestInProgress
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Capacity/resourceProviders/Microsoft.Compute/locations/westus/serviceLimitsRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2020-10-25
from azure.identity import DefaultAzureCredential
from azure.mgmt.reservations import ReservationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-reservations
# USAGE
python get_quota_request_status_in_progress.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ReservationsMgmtClient(
credential=DefaultAzureCredential(),
)
response = client.quota_request_status.get(
subscription_id="00000000-0000-0000-0000-000000000000",
provider_id="Microsoft.Compute",
location="westus",
id="2B5C8515-37D8-4B6A-879B-CD641A2CF605",
)
print(response)
# x-ms-original-file: 2020-10-25/getQuotaRequestStatusInProgress.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armreservations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/reservations/armreservations/v4"
)
// Generated from example definition: 2020-10-25/getQuotaRequestStatusInProgress.json
func ExampleQuotaRequestStatusClient_Get_quotaRequestInProgress() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armreservations.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewQuotaRequestStatusClient().Get(ctx, "00000000-0000-0000-0000-000000000000", "Microsoft.Compute", "westus", "2B5C8515-37D8-4B6A-879B-CD641A2CF605", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armreservations.QuotaRequestStatusClientGetResponse{
// QuotaRequestDetails: armreservations.QuotaRequestDetails{
// Name: to.Ptr("00000000-0000-0000-0000-000000000000/2B5C8515-37D8-4B6A-879B-CD641A2CF605"),
// Type: to.Ptr("Microsoft.Capacity/serviceLimitsRequests"),
// ID: to.Ptr("2B5C8515-37D8-4B6A-879B-CD641A2CF605"),
// Properties: &armreservations.QuotaRequestProperties{
// Message: to.Ptr("Request processing"),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateInProgress),
// RequestSubmitTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2019-08-19T19:23:17.904Z"); return t}()),
// Value: []*armreservations.SubRequest{
// {
// Name: &armreservations.ResourceName{
// LocalizedValue: to.Ptr("Standard NC Promo Family vCPUs"),
// Value: to.Ptr("standardNCPromoFamily"),
// },
// Limit: to.Ptr[int32](50),
// Message: to.Ptr("Request processing"),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateInProgress),
// SubRequestID: to.Ptr("AD07450A-DE86-4FD3-859B-107BEF218C4C"),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Sample response
{
"name": "00000000-0000-0000-0000-000000000000/2B5C8515-37D8-4B6A-879B-CD641A2CF605",
"type": "Microsoft.Capacity/serviceLimitsRequests",
"id": "2B5C8515-37D8-4B6A-879B-CD641A2CF605",
"properties": {
"message": "Request processing",
"provisioningState": "InProgress",
"requestSubmitTime": "2019-08-19T19:23:17.904Z",
"value": [
{
"name": {
"localizedValue": "Standard NC Promo Family vCPUs",
"value": "standardNCPromoFamily"
},
"limit": 50,
"message": "Request processing",
"provisioningState": "InProgress",
"subRequestId": "AD07450A-DE86-4FD3-859B-107BEF218C4C"
}
]
}
}
QuotaRequestStatus
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/providers/Microsoft.Capacity/resourceProviders/Microsoft.Compute/locations/eastus/serviceLimitsRequests/2B5C8515-37D8-4B6A-879B-CD641A2CF605?api-version=2020-10-25
from azure.identity import DefaultAzureCredential
from azure.mgmt.reservations import ReservationsMgmtClient
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-reservations
# USAGE
python get_quota_request_status_by_id.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = ReservationsMgmtClient(
credential=DefaultAzureCredential(),
)
response = client.quota_request_status.get(
subscription_id="00000000-0000-0000-0000-000000000000",
provider_id="Microsoft.Compute",
location="eastus",
id="2B5C8515-37D8-4B6A-879B-CD641A2CF605",
)
print(response)
# x-ms-original-file: 2020-10-25/getQuotaRequestStatusById.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armreservations_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/reservations/armreservations/v4"
)
// Generated from example definition: 2020-10-25/getQuotaRequestStatusById.json
func ExampleQuotaRequestStatusClient_Get_quotaRequestStatus() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armreservations.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
res, err := clientFactory.NewQuotaRequestStatusClient().Get(ctx, "00000000-0000-0000-0000-000000000000", "Microsoft.Compute", "eastus", "2B5C8515-37D8-4B6A-879B-CD641A2CF605", nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res = armreservations.QuotaRequestStatusClientGetResponse{
// QuotaRequestDetails: armreservations.QuotaRequestDetails{
// Name: to.Ptr("00000000-0000-0000-0000-000000000000/2B5C8515-37D8-4B6A-879B-CD641A2CF605"),
// Type: to.Ptr("Microsoft.Capacity/serviceLimitsRequests"),
// ID: to.Ptr("2B5C8515-37D8-4B6A-879B-CD641A2CF605"),
// Properties: &armreservations.QuotaRequestProperties{
// Message: to.Ptr("Request completed"),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateSucceeded),
// RequestSubmitTime: to.Ptr(func() time.Time { t, _ := time.Parse(time.RFC3339Nano, "2019-08-19T19:23:17.904Z"); return t}()),
// Value: []*armreservations.SubRequest{
// {
// Name: &armreservations.ResourceName{
// LocalizedValue: to.Ptr("Standard HCS Family vCPUs"),
// Value: to.Ptr("standardHCSFamily"),
// },
// Limit: to.Ptr[int32](200),
// Message: to.Ptr("Request completed"),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateSucceeded),
// SubRequestID: to.Ptr("AD07450A-DE86-4FD3-859B-107BEF218C4C"),
// },
// {
// Name: &armreservations.ResourceName{
// LocalizedValue: to.Ptr("Standard NC Promo Family vCPUs"),
// Value: to.Ptr("standardNCPromoFamily"),
// },
// Limit: to.Ptr[int32](50),
// Message: to.Ptr("Request completed"),
// ProvisioningState: to.Ptr(armreservations.QuotaRequestStateSucceeded),
// },
// },
// },
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Sample response
{
"name": "00000000-0000-0000-0000-000000000000/2B5C8515-37D8-4B6A-879B-CD641A2CF605",
"type": "Microsoft.Capacity/serviceLimitsRequests",
"id": "2B5C8515-37D8-4B6A-879B-CD641A2CF605",
"properties": {
"message": "Request completed",
"provisioningState": "Succeeded",
"requestSubmitTime": "2019-08-19T19:23:17.904Z",
"value": [
{
"name": {
"localizedValue": "Standard HCS Family vCPUs",
"value": "standardHCSFamily"
},
"limit": 200,
"message": "Request completed",
"provisioningState": "Succeeded",
"subRequestId": "AD07450A-DE86-4FD3-859B-107BEF218C4C"
},
{
"name": {
"localizedValue": "Standard NC Promo Family vCPUs",
"value": "standardNCPromoFamily"
},
"limit": 50,
"message": "Request completed",
"provisioningState": "Succeeded"
}
]
}
}
Definitions
createdByType
Enumeration
The type of identity that created the resource.
| Value |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ExceptionResponse
Object
The API error.
| Name |
Type |
Description |
|
error
|
ServiceError
|
The API error details.
|
QuotaRequestDetails
Object
Quota request details.
| Name |
Type |
Description |
|
id
|
string
|
Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
|
|
name
|
string
|
The name of the resource
|
|
properties.message
|
string
|
User friendly status message.
|
|
properties.provisioningState
|
QuotaRequestState
|
The quota request status.
|
|
properties.requestSubmitTime
|
string
(date-time)
|
The time when the quota request was submitted using format: yyyy-MM-ddTHH:mm:ssZ as specified by the ISO 8601 standard.
|
|
properties.value
|
SubRequest[]
|
The quotaRequests.
|
|
systemData
|
systemData
|
Azure Resource Manager metadata containing createdBy and modifiedBy information.
|
|
type
|
string
|
The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"
|
QuotaRequestState
Enumeration
The quota request status.
| Value |
Description |
|
Accepted
|
Accepted
|
|
Invalid
|
Invalid
|
|
Succeeded
|
Succeeded
|
|
Failed
|
Failed
|
|
InProgress
|
InProgress
|
ResourceName
Object
Resource name provided by the resource provider. Use this property for quotaRequest parameter.
| Name |
Type |
Description |
|
localizedValue
|
string
|
Resource display localized name.
|
|
value
|
string
|
Resource name.
|
ServiceError
Object
The API error details.
| Name |
Type |
Description |
|
code
|
string
|
The error code.
|
|
details
|
ServiceErrorDetail[]
|
The list of error details.
|
|
message
|
string
|
The error message text.
|
ServiceErrorDetail
Object
The error details.
| Name |
Type |
Description |
|
code
|
string
|
The error code.
|
|
message
|
string
|
The error message.
|
SubRequest
Object
The sub-request submitted with the quota request.
| Name |
Type |
Description |
|
limit
|
integer
(int32)
|
Quota (resource limit).
|
|
message
|
string
|
User-friendly status message.
|
|
name
|
ResourceName
|
The resource name.
|
|
provisioningState
|
QuotaRequestState
|
The quota request status.
|
|
resourceType
|
string
|
Resource type for which the quota check was made.
|
|
subRequestId
|
string
|
Sub request ID for individual request.
|
|
unit
|
string
|
The limit units, such as count and bytes. Use the unit field provided in the response of the GET quota operation.
|
systemData
Object
Metadata pertaining to creation and last modification of the resource.
| Name |
Type |
Description |
|
createdAt
|
string
(date-time)
|
The timestamp of resource creation (UTC).
|
|
createdBy
|
string
|
The identity that created the resource.
|
|
createdByType
|
createdByType
|
The type of identity that created the resource.
|
|
lastModifiedAt
|
string
(date-time)
|
The timestamp of resource last modification (UTC)
|
|
lastModifiedBy
|
string
|
The identity that last modified the resource.
|
|
lastModifiedByType
|
createdByType
|
The type of identity that last modified the resource.
|